petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSMonitorLGSetTransform

Solution vector will be transformed by provided function before being displayed

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSMonitorLGSetTransform(TS ts,PetscErrorCode (*transform)(void*,Vec,Vec*),PetscErrorCode (*destroy)(void*),void *tctx)

Collective on TS

### Input Parameters

| ts | - the TS context
| transform | - the transform function
| destroy | - function to destroy the optional context
| ctx | - optional context used by transform function

### Notes

If the TS object does not have a TSMonitorLGCtx associated with it then this function is ignored

### See Also

TSMonitorSet(), TSMonitorDefault(), VecView(), TSMonitorLGSetVariableNames(), TSMonitorLGCtxSetTransform()

### Level

intermediate

### Location

src/ts/interface/ts.c

### Examples

src/ts/examples/tutorials/extchem.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages